Skip to main content

RunNetworkContentAudit

A lightweight application for network content moderation.

Debugging

You can run this API directly in OpenAPI Explorer without having to calculate signatures. After a successful call, OpenAPI Explorer can automatically generate SDK code examples. Debug

RAM authorization

The following table describes the authorization information for this API. You can use it in the Action element of a RAM permission policy statement to grant RAM users or RAM roles the permission to call this API. Details are as follows:
  • Operation: the specific permission point.
  • Access level: the access level of each operation. Valid values: Write, Read, or List.
  • Resource type: the resource types that support authorization in the operation. Details are as follows:
    • Required resource types are marked with a leading asterisk (*).
    • For operations that do not support resource-level authorization, All Resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Related operation: other permissions required to successfully perform the operation. The caller must also have the permissions of the related operations for the operation to succeed.
OperationAccess levelResource typeCondition keyRelated operation
quanmiaolightapp:RunNetworkContentAuditcreate
*All Resources
*
    None
None

Request syntax

POST /{workspaceId}/quanmiao/lightapp/runNetworkContentAudit HTTP/1.1

Request parameters

ParameterTypeRequiredDescriptionExample
workspaceIdstringYes

The unique identifier of the Model Studio workspace: Obtain a workspaceId

llm-xx
modelIdstringNo

The model ID.

qwen-max
businessTypestringNo

The business type.

clueMining
taskDescriptionstringNo

The task description.

Here is a text to be analyzed. Please tag the data according to the tag system.
contentstringYes

The text to be analyzed.

Text to be analyzed
tagsarray<object>No

The list of tag systems.

objectNo

The list of tags.

tagNamestringNo

The tag name.

xxxx
tagDefinePromptstringNo

The tag definition prompt.

xxxx
extraInfostringNo

The additional information.

Additional information
outputFormatstringNo

The output format.

Please return the following JSON format, {"key1":"","key2":""}
apiKeystringNo

The API key for integration. Obtain an API key

sk-60fd85c1a28f4873abb952e954b0ed27

Response parameters

NameTypeDescriptionExample
object

The response.

headerobject

The message header.

errorCodestring

The error code.

AccessForbidden
errorMessagestring

The error description.

Error message
eventstring

The event.

task-finished
sessionIdstring

The unique identifier of the session.

xxxx
taskIdstring

The unique identifier of the task.

xxxx
traceIdstring

The unique identifier of the entire call chain.

xxxxx
payloadobject

The message body.

outputobject

The output.

textstring

The output summary text.

xxxx
usageobject

The token usage.

inputTokenslong

The input tokens.

100
outputTokenslong

The output tokens.

100
totalTokenslong

The total tokens.

200
requestIdstring

Id of the request

5D0E915E-655D-59A8-894F-93873F73AAE5

Examples

Success response JSON format
{
  "header": {
    "errorCode": "AccessForbidden",
    "errorMessage": "错误信息",
    "event": "task-finished",
    "sessionId": "xxxx",
    "taskId": "xxxx",
    "traceId": "xxxxx"
  },
  "payload": {
    "output": {
      "text": "xxxx"
    },
    "usage": {
      "inputTokens": 100,
      "outputTokens": 100,
      "totalTokens": 200
    }
  },
  "requestId": "5D0E915E-655D-59A8-894F-93873F73AAE5"
}

Error codes

HTTP status codeError codeError messageDescription
403NoPermissionYou are not authorized to perform this action , Please check the assignment of the workspaceId.Check the assignment of the workspaceId.
Visit the Error Center to view more error codes.